Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class StringKey

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.StringKey

public class StringKey
extends java.lang.Object

**For internal use only** Simple class for fast lookup of string values, when used with hashtables. This class caches the hash value of the string.

Constructor Summary
`StringKey(java.lang.String key)` **For internal use only**

Method Summary
`boolean` | `equals(java.lang.Object obj)` **For internal use only**
`int` | `hashCode()` **For internal use only**

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringKey

    public StringKey(java.lang.String key)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.